org.apache.mina.proxy.handlers.http.digest

## Class DigestUtilities

- java.lang.Object
- - org.apache.mina.proxy.handlers.http.digest.DigestUtilities

-     public class DigestUtilities
      extends Object

  DigestUtilities.java - A class supporting the HTTP DIGEST authentication (see RFC 2617).
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SESSION_HA1`
    `static String[]` | `SUPPORTED_QOPS` The supported qualities of protections.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestUtilities()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `computeResponseValue(IoSession session, HashMap<String,String> map, String method, String pwd, String charsetName, String body)` Computes the response to the DIGEST challenge.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SESSION_HA1

          public static final String SESSION_HA1

    - #### SUPPORTED_QOPS

          public static final String[] SUPPORTED_QOPS

      The supported qualities of protections.

  - ### Constructor Detail

    - #### DigestUtilities

          public DigestUtilities()

  - ### Method Detail

    - #### computeResponseValue

          public static String computeResponseValue(IoSession session,
                                    HashMap<String,String> map,
                                    String method,
                                    String pwd,
                                    String charsetName,
                                    String body)
                                             throws AuthenticationException,
                                                    UnsupportedEncodingException

      Computes the response to the DIGEST challenge.
      Parameters:
        `session` - the current session
        `map` - the map holding the directives sent by the proxy
        `method` - the HTTP verb
        `pwd` - the password
        `charsetName` - the name of the charset used for the challenge
        `body` - the html body to be hashed for integrity calculations
      Throws:
        `AuthenticationException`
        `UnsupportedEncodingException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.